Package org.eclipse.viatra.query.runtime.base.itc.alg.misc.dfs

## Class DFSAlg<V>

- java.lang.Object
- - org.eclipse.viatra.query.runtime.base.itc.alg.misc.dfs.DFSAlg<V>

- All Implemented Interfaces:
    `IGraphObserver<V>`

      public class DFSAlg<V>
      extends java.lang.Object
      implements IGraphObserver<V>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DFSAlg​(IGraphDataSource<V> gds)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `edgeDeleted​(V source, V target)` | Used to notify when an edge is deleted from the graph.
    `void` | `edgeInserted​(V source, V target)` | Used to notify when an edge is inserted into the graph.
    `DRedTcRelation<V>` | `getTcRelation()` |
    `void` | `nodeDeleted​(V n)` | Used to notify when a node is deleted from the graph.
    `void` | `nodeInserted​(V n)` | Used to notify when a node is inserted into the graph.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DFSAlg

          public DFSAlg​(IGraphDataSource<V> gds)

  - ### Method Detail

    - #### getTcRelation

          public DRedTcRelation<V> getTcRelation()

    - #### edgeInserted

          public void edgeInserted​(V source,
                                   V target)

      Description copied from interface: `IGraphObserver`
      Used to notify when an edge is inserted into the graph.
      Specified by:
        `edgeInserted` in interface `IGraphObserver<V>`
      Parameters:
        `source` - the source of the edge
        `target` - the target of the edge

    - #### edgeDeleted

          public void edgeDeleted​(V source,
                                  V target)

      Description copied from interface: `IGraphObserver`
      Used to notify when an edge is deleted from the graph.
      Specified by:
        `edgeDeleted` in interface `IGraphObserver<V>`
      Parameters:
        `source` - the source of the edge
        `target` - the target of the edge

    - #### nodeInserted

          public void nodeInserted​(V n)

      Description copied from interface: `IGraphObserver`
      Used to notify when a node is inserted into the graph.
      Specified by:
        `nodeInserted` in interface `IGraphObserver<V>`
      Parameters:
        `n` - the node

    - #### nodeDeleted

          public void nodeDeleted​(V n)

      Description copied from interface: `IGraphObserver`
      Used to notify when a node is deleted from the graph.
      Specified by:
        `nodeDeleted` in interface `IGraphObserver<V>`
      Parameters:
        `n` - the node